USB_GET_INTF(9)

NAME
usb_get_intf - increments the reference count of the usb interface structure

SYNOPSIS

struct usb_interface * usb_get_intf(struct usb_interface * intf);

ARGUMENTS

intf
    the interface being referenced

DESCRIPTION

Each live reference to a interface must be refcounted.

Drivers for USB interfaces should normally record such references in their probe methods, when they bind to an interface, and release them by calling usb_put_intf, in their disconnect methods.

RETURN

A pointer to the interface with the incremented reference counter.

COPYRIGHT